1

Is there a minimal version of emacs?

When using apt get install emacs24 on a 16.04 LTS machine the packet manager propose me to install 200 MB worth of stuff...

The following NEW packages will be installed: adwaita-icon-theme at-spi2-core colord colord-data dconf-gsettings-backend dconf-service emacs emacs24 emacs24-bin-common emacs24-common emacs24-common-non-dfsg emacs24-el emacsen-common gconf-service gconf-service-backend gconf2-common glib-networking glib-networking-common glib-networking-services gsettings-desktop-schemas humanity-icon-theme imagemagick-common libatk-bridge2.0-0 libatspi2.0-0 libboost-filesystem1.58.0 libboost-system1.58.0 libcairo-gobject2 libcolord2 libcolorhug2 libcroco3 libdconf1 libegl1-mesa libepoxy0 libfftw3-double3 libgbm1 libgconf-2-4 libgphoto2-6 libgphoto2-l10n libgphoto2-port12 libgtk-3-0 libgtk-3-bin libgtk-3-common libgudev-1.0-0 libgusb2 libieee1284-3 libjson-glib-1.0-0 libjson-glib-1.0-common liblockfile-bin liblockfile1 liblqr-1-0 libm17n-0 libmagickcore-6.q16-2 libmagickwand-6.q16-2 libmirclient9 libmircommon5 libmirprotobuf3 libotf0 libprotobuf-lite9v5 libproxy1v5 librest-0.7-0 librsvg2-2 librsvg2-common libsane libsane-common libsoup-gnome2.4-1 libsoup2.4-1 libwayland-client0 libwayland-cursor0 libwayland-egl1-mesa libwayland-server0 libxcb-xfixes0 libxft2 libxkbcommon0 libxt6 m17n-db ubuntu-mono

Is there a way to get "just" the terminal based emacs?

I need to keep the footprint of the program as small as possible to avoid unnecessary maintenance to a streamlined server.

  • This sounds like you should not install emacs at all but use tramp to remotely connect and edit from your working machine. – jue Jun 5 '17 at 6:54
4

Probably emacs24-nox is the package you want instead.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.